
-- Localization
if (GetLocale() == "enUS" or GetLocale() == "enGB") then
  HealPointsLoc = {
    DIV_RANK = "Rank",

    -- Buffs
    BUFF_TREELI = "Tree of Life",

    -- Paladin
    SPELL_FOL = "Flash of Light",
    SPELL_HL = "Holy Light",
    SPELL_HS = "Holy Shock",

    -- Priest
    SPELL_FH = "Flash Heal",
    SPELL_LH = "Lesser Heal",
    SPELL_HEAL = "Heal",
    SPELL_GH = "Greater Heal",
    SPELL_RENEW = "Renew",
    SPELL_POH = "Prayer of Healing",
    SPELL_HOLYNOVA = "Holy Nova",
    SPELL_COH = "Circle of Healing", 

    -- Druid
    SPELL_REGR = "Regrowth",
    SPELL_HT = "Healing Touch",
    SPELL_REJUV = "Rejuvenation",
    SPELL_LIFEBL = "Lifebloom",

    -- Shaman
    SPELL_LHW = "Lesser Healing Wave",
    SPELL_HW = "Healing Wave",
    SPELL_CHAIN = "Chain Heal",
  };

elseif (GetLocale() == "deDE") then
  HealPointsLoc = {
	  DIV_RANK = "Rang",

  -- Buffs
    BUFF_TREELI = "Baum des Lebens",

	-- Paladin
	  SPELL_FOL = "Lichtblitz",
	  SPELL_HL = "Heiliges Licht",
	  SPELL_HS = "Heiliger Schock",

	-- Priest
	  SPELL_FH = "Blitzheilung",
	  SPELL_LH = "Geringes Heilen",
	  SPELL_HEAL = "Heilen",
	  SPELL_GH = "Gro\195\159e Heilung",
	  SPELL_RENEW = "Erneuerung",
	  SPELL_POH = "Gebet der Heilung",
	  SPELL_HOLYNOVA = "Heilige Nova",
	  SPELL_COH = "Kreis der Heilung", 

	-- Druid
	  SPELL_REGR = "Nachwachsen",
	  SPELL_HT = "Heilende Ber\195\188hrung",
	  SPELL_REJUV = "Verj\195\188ngung",
    SPELL_LIFEBL = "Bl\195\188hendes Leben",

	-- Shaman
	  SPELL_LHW = "Geringe Welle der Heilung",
	  SPELL_HW = "Welle der Heilung",
	  SPELL_CHAIN = "Kettenheilung",
  };
elseif (GetLocale() == "frFR") then
  HealPointsLoc = {
	  DIV_RANK = "Rang",

  -- Buffs
    BUFF_TREELI = "Arbre de vie",

	-- Paladin
	  SPELL_FOL = "Eclair lumineux",
	  SPELL_HL = "Lumi\195\168re sacr\195\169e",
	  SPELL_HS = "Horion sacr\195\169",

	-- Priest
	  SPELL_FH = "Soins rapides",
	  SPELL_LH = "Soins inf\195\169rieurs",
	  SPELL_HEAL = "Soins",
	  SPELL_GH = "Soins sup\195\169rieurs",
	  SPELL_RENEW = "R\195\169novation",
	  SPELL_POH = "Pri\195\168re de soins", 
	  SPELL_HOLYNOVA = "Nova sacr\195\169e",
	  SPELL_COH = "Cercle de soins",

	-- Druid
	  SPELL_REGR = "R\195\169tablissement",
	  SPELL_HT = "Toucher gu\195\169risseur",
	  SPELL_REJUV = "R\195\169cup\195\169ration",
    SPELL_LIFEBL = "Fleur de vie",

	-- Shaman
	  SPELL_LHW = "Vague de soins mineurs",
	  SPELL_HW = "Vague de soins",
	  SPELL_CHAIN = " Salve de gu\195\169rison",
	};

elseif (GetLocale() == "esES") then
  HealPointsLoc = {
	  DIV_RANK = "Rango",

  -- Buffs
    BUFF_TREELI = "\195\129rbol de vida",

	-- Paladin
	  SPELL_FOL = "Destello de Luz",
	  SPELL_HL = "Luz Sagrada",
	  SPELL_HS = "Choque Sagrado",

	-- Priest
	  SPELL_FH = "Sanaci\195\179n rel\195\161mpago",
	  SPELL_LH = "Sanaci\195\179n inferior",
	  SPELL_HEAL = "Sanar",
	  SPELL_GH = "Sanaci\195\179n superior",
	  SPELL_RENEW = "Renovar",
	  SPELL_POH = "Rezo de sanaci\195\179n",
	  SPELL_HOLYNOVA = "Nova Sagrada",
	  SPELL_COH = "C\195\173rculo de sanaci\195\179n", 

	-- Druid
	  SPELL_REGR = "Recrecimiento",
	  SPELL_HT = "Toque de sanaci\195\179n",
	  SPELL_REJUV = "Rejuvenecimiento",
    SPELL_LIFEBL = "Flor de vida",

	-- Shaman
	  SPELL_LHW = "Ola de sanaci\195\179n inferior",
	  SPELL_HW = "Ola de sanaci\195\179n",
	  SPELL_CHAIN = "Sanaci\195\179n en cadena",
  };

  elseif (GetLocale() == "zhCN") then
  HealPointsLoc = {
	DIV_RANK = "等级",

  -- Buffs
	BUFF_TREELI = "生命之树",

	-- Paladin
	  SPELL_FOL = "圣光闪现",
	  SPELL_HL = "圣光术",
	  SPELL_HS = "神圣震击",

	-- Priest
	  SPELL_FH = "快速治疗",
	  SPELL_LH = "次级治疗术",
	  SPELL_HEAL = "治疗术",
	  SPELL_GH = "强效治疗术",
	  SPELL_RENEW = "恢复",
	  SPELL_POH = "治疗祷言",
	  SPELL_HOLYNOVA = "神圣新星",
	  SPELL_COH = "治疗之环", 

	-- Druid
	SPELL_REGR = "愈合",
	SPELL_HT = "治疗之触",
	SPELL_REJUV = "回春术",
	SPELL_LIFEBL = "生命绽放",

	-- Shaman
	  SPELL_LHW = "次级治疗波",
	  SPELL_HW = "治疗波",
	  SPELL_CHAIN = "治疗链",
	};
end
